Package com.microblink.blinkid.entities.recognizers.blinkid.generic.barcode

# Class BarcodeDriverLicenseDetailedInfo

java.lang.Object
com.microblink.blinkid.entities.recognizers.blinkid.generic.barcode.BarcodeDriverLicenseDetailedInfo

All Implemented Interfaces:
  `android.os.Parcelable`

public final class BarcodeDriverLicenseDetailedInfo extends Object implements android.os.Parcelable
Driver's license specific data extracted from barcode.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<BarcodeDriverLicenseDetailedInfo>`
  `CREATOR`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BarcodeDriverLicenseDetailedInfo`
  `createFromNative(String restrictions, String endorsements, String vehicleClass, String conditions, BarcodeVehicleClassInfo[] vehicleClassesInfo)`
  This method is called from native code to build `BarcodeDriverLicenseDetailedInfo` from native object.
  `int`
  `describeContents()`
  `String`
  `getConditions()`
  The driver license conditions.
  `String`
  `getEndorsements()`
  The additional privileges granted to the driver license owner.
  `String`
  `getRestrictions()`
  The restrictions to driving privileges for the driver license owner.
  `String`
  `getVehicleClass()`
  The type of vehicle the driver license owner has privilege to drive.
  `BarcodeVehicleClassInfo[]`
  `getVehicleClassesInfo()`
  The additional information on vehicle class.
  `boolean`
  `isEmpty()`
  Checks whether data is empty.
  `String`
  `toString()`
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    public static final android.os.Parcelable.Creator<BarcodeDriverLicenseDetailedInfo> CREATOR

- ## Method Details

  - ### getRestrictions

    @NonNull public String getRestrictions()
    The restrictions to driving privileges for the driver license owner.

  - ### getEndorsements

    @NonNull public String getEndorsements()
    The additional privileges granted to the driver license owner.

  - ### getVehicleClass

    @NonNull public String getVehicleClass()
    The type of vehicle the driver license owner has privilege to drive.

  - ### getVehicleClassesInfo

    @NonNull public BarcodeVehicleClassInfo[] getVehicleClassesInfo()
    The additional information on vehicle class.

  - ### getConditions

    @NonNull public String getConditions()
    The driver license conditions.

  - ### isEmpty

    public boolean isEmpty()
    Checks whether data is empty. Data is empty if all fields are empty.
    Returns:
      `true` if data is empty, false otherwise.

  - ### toString

    @NonNull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### createFromNative

    @NonNull public static BarcodeDriverLicenseDetailedInfo createFromNative(@NonNull String restrictions, @NonNull String endorsements, @NonNull String vehicleClass, @NonNull String conditions, @NonNull BarcodeVehicleClassInfo[] vehicleClassesInfo)
    This method is called from native code to build `BarcodeDriverLicenseDetailedInfo` from native object.

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`

  - ### writeToParcel

    public void writeToParcel(@NonNull android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`